Update an entity group
curl --request PATCH \
--url https://api.mentionlab.io/api/entity-groups/{id} \
--header 'Content-Type: application/json' \
--header 'x-project-id: <x-project-id>' \
--data '
{
"name": "Competitor Brands",
"parentId": "018f3a2b-7c4d-7e91-b3f5-2a6c8d0e1f42"
}
'import requests
url = "https://api.mentionlab.io/api/entity-groups/{id}"
payload = {
"name": "Competitor Brands",
"parentId": "018f3a2b-7c4d-7e91-b3f5-2a6c8d0e1f42"
}
headers = {
"x-project-id": "<x-project-id>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-project-id': '<x-project-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Competitor Brands', parentId: '018f3a2b-7c4d-7e91-b3f5-2a6c8d0e1f42'})
};
fetch('https://api.mentionlab.io/api/entity-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Entity Groups
Update an entity group
Applies a partial update to an entity group; returns no content on success.
PATCH
/
api
/
entity-groups
/
{id}
Update an entity group
Headers
Project ID to specify the project context
Path Parameters
The UUID of the entity group to update.
Body
application/json
Human-readable display name of the entity group.
Example:
"Competitor Brands"
Parent group of a division. Send a group ID to attach or move the division, or null to detach it into a standalone division. Groups cannot have a parent.
Example:
"018f3a2b-7c4d-7e91-b3f5-2a6c8d0e1f42"